import { defineComponent, ref, computed, PropType, toRef, onMounted, onBeforeUnmount } from 'vue'
import { useGlobalStore } from '@store/globalStore'
import { useI18n } from 'vue-i18n'
import { tools } from '@tools'
import { LandingFooter } from '@src/components/LandingFooter'
import { Logo } from '@src/components/logo'
import type { IMyPage } from 'model'


export default defineComponent({
  name: 'CFundRaising',
  components: { Logo, LandingFooter },
  props: {},
  setup() {
    const { t } = useI18n();
    const rec = ref<IMyPage | null>(null)

    const globalStore = useGlobalStore()


    async function created() {

      rec.value = await globalStore.loadPage('/sostieni_il_progetto')

    }

    created()

    return {
      t,
      tools,
      rec,
    }
  },
})
